package fos

import scala.util.parsing.input.Positional

/** Abstract Syntax Trees for terms. */
enum Term extends Positional:
  case True
  case False
  case If(cond: Term, t1: Term, t2: Term)
  case Zero
  case Succ(t: Term)
  case Pred(t: Term)
  case IsZero(t: Term)
